Unit math;

Interface

{All the math types used in the c-code:}
Type float = single;  {4-byte float}
     vec3_t = array[0..2] of float;
     vec3_tp = ^vec3_t;

     {Precision specifiers for floats}
Var  _N, _D  : Integer;

Function pwr(x, y : Float) : Float;

Implementation

Function pwr(x, y : Float) : Float;
Begin
  pwr := Exp(Ln(x)*y);
End;

End.